Copy one org's calendar days into another org
curl --request POST \
--url https://api.alpha-1edtech.ai/calendar/orgs/{orgSourcedId}/days/copy-from \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceOrgSourcedId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"redetectSession": true
}
'import requests
url = "https://api.alpha-1edtech.ai/calendar/orgs/{orgSourcedId}/days/copy-from"
payload = {
"sourceOrgSourcedId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"redetectSession": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceOrgSourcedId: '<string>',
startDate: '<string>',
endDate: '<string>',
redetectSession: true
})
};
fetch('https://api.alpha-1edtech.ai/calendar/orgs/{orgSourcedId}/days/copy-from', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdCount": 123,
"updatedCount": 123,
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Calendar Days
Copy one org's calendar days into another org
Copy the source org’s active calendar days into the destination org (the path param) by (org, date) upsert with factory-reset semantics. Only dates present in the source (optionally within a date window) are touched on the destination. The destination’s academic session is re-detected per copied day when redetectSession is true (default); otherwise sessionSourcedId is left null.
POST
/
calendar
/
orgs
/
{orgSourcedId}
/
days
/
copy-from
Copy one org's calendar days into another org
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization (school) sourcedId
Body
application/json
⌘I